package http

import (
	"time"
)

type GetProductRequest struct {
	ProductID int `json:"product_id"`
}

type GetProductResponse struct {
	ID        int           `db:"id"`
	PID       string        `db:"pid"`
	Name      string        `db:"name"`
	Price     float64       `db:"price"`
	CreatedAt time.Duration `db:"created_at"`
	UpdatedAt time.Duration `db:"updated_at,omitempty"`
}

type GetProductListRequest struct {
	CategoryID int `json:"category_id"`
}

type GetProductListResponse struct {
	Products []GetProductResponse
}

type AddProductToBasketRequest struct {
	ProductID int `json:"product_id"`
	Quantity  int `json:"quantity"`
}

type AddProductToBasketResponse struct {
	ProductID int    `json:"product_id"`
	BasketID  string `json:"basket_id"`
}

type RemoveProductFromBasketRequest struct {
	ProductID int `json:"product_id"`
	Quantity  int `json:"quantity"`
}

type RemoveProductFromBasketResponse struct {
	ProductID int    `json:"product_id"`
	BasketID  string `json:"basket_id"`
}
